# Generated from puppet-debugger-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name puppet-debugger

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: A repl based debugger for the puppet language
License: MIT
URL: https://gitlab.com/puppet-debugger/puppet-debugger
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
# BuildRequires: rubygem(rspec) >= 3.6
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
A interactive command line tool for evaluating and debugging the puppet
language.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/pdb
%{_bindir}/puppet-debugger
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/.vscode
%{gem_instdir}/DEVELOPMENT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Plugin_development.md
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/output.json
%{gem_instdir}/run_container_test.sh
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.dockerignore
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/.release_me.yaml
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/puppet-debugger.gemspec
%{gem_instdir}/spec
%{gem_instdir}/test_matrix.rb

%changelog
* Tue Sep 14 2021 mockbuilder - 1.2.0-1
- Initial package
